get
https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderEstimatedLabor
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
GET Work Order Estimated Labor
Retrieve estimated labor records for work orders.
GET /ODataApi/v1/GetWorkOrderEstimatedLaborEndpoint
https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderEstimatedLaborReplace {sitename} with your MVP One site name.
Available fields
| Field | Data type | Description |
|---|---|---|
WorkOrderID | String | Identifier of the work order associated with the estimated labor record. |
Craft | String | Craft assigned to the estimated labor record. |
EstimatedFinishDate | DateTimeOffset | Estimated finish date and time for the labor. |
EstimatedHours | Decimal(9,3) | Estimated regular labor hours. |
EstimatedOTHours | Decimal(9,3) | Estimated overtime labor hours. |
EstimatedStartDate | DateTimeOffset | Estimated start date and time for the labor. |
OTRate | Decimal(18,3) | Overtime rate. |
Rate | Decimal(18,3) | Regular labor rate. |
UserID | String | Identifier of the user assigned to the estimated labor record. |
CreatedBy | String | User who created the record. |
DateCreated | DateTimeOffset | Date and time the record was created. |
EditedBy | String | User who last edited the record. |
DateEdited | DateTimeOffset | Date and time the record was last edited. |
Example endpoint
GET https://company.mvpplant.com/ODataApi/v1/GetWorkOrderEstimatedLaborOptional OData query examples
Return estimated labor for one work order
GET https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderEstimatedLabor?$filter=WorkOrderID eq 'WO-1001'Return selected fields
GET https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderEstimatedLabor?$select=WorkOrderID,Craft,UserID,EstimatedHours,EstimatedStartDate,EstimatedFinishDateReturn the first 10 records
GET https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderEstimatedLabor?$top=10Sort records by estimated start date
GET https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderEstimatedLabor?$orderby=EstimatedStartDate descNotes
- Use single quotes around string values in
$filterexpressions. - OData filter values are case-sensitive.
- Use
$selectto return only the fields your application needs. EstimatedHoursandEstimatedOTHoursuseDecimal(9,3)precision.RateandOTRateuseDecimal(18,3)precision.
